Subject: Re: B19: gdb problem
From: [email-masked] (Earnie Boyd)

27 Apr 1998 22:56:02 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "Gilbert W. Pilz Jr" <[email-masked]>, [email-masked]

---"Gilbert W. Pilz Jr" <[email-masked]> wrote:
>
> I am having trouble debugging a simple program on B19. I have tried
bot the
> default compiler tools and the EGCS tools but I get the same
behavior in
> either case. The program works more or less correctly (it gets stuck
in a
> endless loop somewhere) but when I run it under gdb and hit the start
> button I get this:
> 
>
============================================================================
> 
> (gdb) Breakpoint 1 at 0x4010e7: file main.c, line 43.
> Starting program: /I/contracts/dascom_webseat/./foo.exe 
> 10000000:/I/Cygnus/B19/H-i386-cygwin32/bin/cygwinb19.dll
> 
> [failed reading symbols from DLL]
> "/WINNT/system32/advapi32.dll": error reading line numbers
> 
> 
> [failed reading symbols from DLL]
> "/WINNT/system32/KERNEL32.dll": error reading line numbers
> 
> 77e70000:/WINNT/system32/USER32.dll
> 77ed0000:/WINNT/system32/GDI32.dll
> 77e10000:/WINNT/system32/RPCRT4.dll
> warning: LDR: Automatic DLL Relocation in foo.exe
> 
> warning: LDR: Dll APITRAP.dll base 10000000 relocated due to
collision with
> I:\Cygnus\B19\H-i386-cygwin32\bin\cygwinb19.dll
> 
> 2a50000:/WINNT/System32/APITRAP.dll
> 
> [failed reading symbols from DLL]
> "/WINNT/System32/PSAPI.DLL": error reading line numbers
> 
> 
> [failed reading symbols from DLL]
> "/WINNT/System32/IMAGEHLP.dll": error reading line numbers
> 
> 
> Program received signal SIGSEGV, Segmentation fault.
> 0x77f6cc66 in ?? ()
> bt
> #0  0x77f6cc66 in ?? ()
> #1  0x77f67456 in ?? ()
> #2  0x2a52333 in _size_of_stack_reserve__ ()
> #3  0x2a52467 in _size_of_stack_reserve__ ()
> #4  0x2a55717 in _size_of_stack_reserve__ ()
> #5  0x77f6b44e in ?? ()
> #6  0x77f63a24 in ?? ()
> #7  0x77f13a66 in ?? ()
> #8  0x77f13773 in ?? ()
> #9  0x77e788c3 in _libuser32_a_iname ()
> #10 0x77f6344f in ?? ()
> #11 0x77f61c3f in ?? ()
> #12 0x77f61187 in ?? ()
> (gdb) 
> 
>
============================================================================
> 
> Here is the Makefile
> 
> CC	= gcc
> CFLAGS	= -g -D__WEBSEAT_PROFILE__
> 
> LD	= ld
> LDFLAGS	= -L//I/Cygnus/B19/H-i386-cygwin32/i386-cygwin32/lib
> 
> LIBS	= -lcygwin -lkernel32 -lc

change this to:
LIBS = -lc

It is a known problem that adding -lcygwin and -lkernel32 will cause
this problem.

You could have searched the archives for this answer.

<snip>

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

Check out these great gnu-win32 related sites:
ftp://ftp.cygnus.com/pub/gnu-win32/latest/                  (ftp site)
http://www.cygnus.com/pubs/gnupro/                    (Comercial Page)
http://www.cygnus.com/misc/gnu-win32/                   (Project Page)
http://www.cygnus.com/ml/gnu-win32                     (Mail Archives)
http://www.itribe.net/virtunix/winhelp-man-pages/     (HTML Man Pages)
http://www.lexa.ru/sos                               (Sergey Okhapkin)
ftp://www.lexa.ru/pub/domestic/sos/                (Sergey's ftp site)
http://www.fu.is.saga-u.ac.jp/~colin/gcc.html (Colin Peters - Mingw32)
http://www.xraylith.wisc.edu/~khan/software/gnu-win32/    (Mumit Khan)
ftp://ftp.hksys.com/pub/mirrors/EGCS-Win32/   (Jeremy Bettis - mirror)
http://gnu-win32.paranoia.ru                   (Chuck Bogorad's ports)
http://www.bestweb.net/~aka/gnu-win32/  (GNU-Win32 Bash Configuration)
http://rcw.home.ml.org/                  (Rob Warner - software ports)
http://www.wenet.net/~garbanzo/gnuwin32/     (more - software portals)
http://www.wenet.net/~garbanzo/gnuwin32/rpm   (Redhat Package Manager)
http://www.parallax.co.uk/~andyp/index_text.html  (Andy Piper - ports)
http://www.tiac.net/users/cgf     (Christopher Faylor - package ports)
ftp://ftp.franken.de/pub/win32/develop/gnuwin32/       (German mirror)
http://www.dol.ru/users/valtul      (Valery Tulnikov - software ports)

Help for Win32 Beginners: 
 http://www.relisoft.com
 http://www.program.com/resources/win32.html

DISCLAIMER: These links or links from these pages to other sites do
not constitute an endorsement of any entities, advertisers, products 
or services therein. I am not responsible for and do not control or 
monitor the content of these sites or the accuracy of information 
found therein.

-------------------- IMPORTANT UPGRADE NOTICE ------------------------
You should get the following to update your cygwinb19 package:

Sergey Okhapkin's coolview package which contains an updated 
cygwinb19.dll.  (Yes, even if you've already downloaded the b19.1 
update from the Cygnus Site).

Mumit Khan's compilation of EGCS for the cygwinb19.dll; especially if 
your using the C++ compiler.  The current version of the compiler that 
comes with the tools have lots of problems that have been fixed with 
the EGCS version.  This is a drop-in replacement for the GCC toolset.

URL's are listed above.
-----------------------------------------------------------------------

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".